%global soversion 9

Name:           libopenshot-audio
Version:        0.3.2
Release:    1%{?dist}
Summary:        Audio library used by OpenShot

License:        GPL-3.0-or-later
URL:            http://openshot.org/
Source0:        https://github.com/OpenShot/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

ExcludeArch:    ppc64le

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  alsa-lib-devel
BuildRequires:  zlib-devel

Provides:       bundled(JUCE) = 5.4.3
Provides:       bundled(flac) = 1.3.1
Provides:       bundled(libvorbis) = 1.3.2

%description
OpenShot Audio Library (libopenshot-audio) is an open-source
project based on JUCE, and enables high-quality audio editing
and playback for libopenshot.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        demo
Summary:        Program for demonstrating %{name}
Requires:       %{name} = %{version}-%{release}

%description    demo
%{summary}.


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/%{name}.so.%{soversion}
%{_libdir}/%{name}.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/cmake/OpenShotAudio/

%files demo
%{_bindir}/openshot-audio-demo
%{_mandir}/man1/openshot-audio-demo.1*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-1
- initial build
